<div class="row mt-3 justify-content-center">
    <nav>
        <ul class="pagination">
            {% if productos.has_previous %}
                <li class="page-item">
                    <a class="page-link" href="?page=1">Primera</a>
                </li>
                <li class="page-item">
                    <a class="page-link" href="?page={{ productos.previous_page_number }}">&laquo;</a>
                </li>
            {% endif %}
            
            {% for pagina in paginas %}
                <li class="page-item{% if pagina_actual == pagina %} active{% endif %}">
                    <a class="page-link" href="?page={{ pagina }}">{{ pagina }}</a>
                </li>
            {% endfor %}
            
            {% if productos.has_next %}
                <li class="page-item">
                    <a class="page-link" href="?page={{ productos.next_page_number }}">&raquo;</a>
                </li>
                <li class="page-item">
                    <a class="page-link" href="?page={{ productos.paginator.num_pages }}">Última</a>
                </li>
            {% endif %}
        </ul>
    </nav>
</div>